curl --request GET \
--url 'https://api.themoviedb.org/3/movie/{{movie_id}}' \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.themoviedb.org/3/movie/{{movie_id}}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.themoviedb.org/3/movie/{{movie_id}}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"adult": false,
"backdrop_path": "/vsjuHP9RQZJgYUvvSlO3mjJpXkq.jpg",
"belongs_to_collection": {
"backdrop_path": "/r7MMQenUURHhAVHFymtOb8AX4Bm.jpg",
"id": 115570,
"name": "Star Trek: The Next Generation Collection",
"poster_path": "/sddV6vaUC6x37icJS3opIXTXB07.jpg"
},
"budget": 70000000,
"genres": [
{
"id": 878,
"name": "Science Fiction"
},
{
"id": 28,
"name": "Action"
},
{
"id": 12,
"name": "Adventure"
},
{
"id": 53,
"name": "Thriller"
}
],
"homepage": "https://www.paramountmovies.com/movies/star-trek-ix-insurrection",
"id": 200,
"imdb_id": "tt0120844",
"origin_country": [
"US"
],
"original_language": "en",
"original_title": "Star Trek: Insurrection",
"overview": "When an alien race and factions within Starfleet attempt to take over a planet that has \"regenerative\" properties, it falls upon Captain Picard and the crew of the Enterprise to defend the planet's people as well as the very ideals upon which the Federation itself was founded.",
"popularity": 20.372,
"poster_path": "/xQCMAHeg5M9HpDIqanYbWdr4brB.jpg",
"production_companies": [
{
"id": 4,
"logo_path": "/gz66EfNoYPqHTYI4q9UEN4CbHRc.png",
"name": "Paramount Pictures",
"origin_country": "US"
},
{
"id": 76068,
"logo_path": null,
"name": "Digital Image Associates",
"origin_country": "US"
}
],
"production_countries": [
{
"iso_3166_1": "US",
"name": "United States of America"
}
],
"release_date": "1998-12-11",
"revenue": 112587658,
"runtime": 102,
"spoken_languages": [
{
"english_name": "English",
"iso_639_1": "en",
"name": "English"
}
],
"status": "Released",
"tagline": "The battle for paradise has begun.",
"title": "Star Trek: Insurrection",
"video": false,
"vote_average": 6.4,
"vote_count": 1218
}Get Details
This endpoint gets the top level details of a movie by ID.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Response
Get Details
false
"/vsjuHP9RQZJgYUvvSlO3mjJpXkq.jpg"
Show child attributes
Show child attributes
70000000
Show child attributes
Show child attributes
[
{ "id": 878, "name": "Science Fiction" },
{ "id": 28, "name": "Action" },
{ "id": 12, "name": "Adventure" },
{ "id": 53, "name": "Thriller" }
]
"https://www.paramountmovies.com/movies/star-trek-ix-insurrection"
200
"tt0120844"
["US"]
"en"
"Star Trek: Insurrection"
"When an alien race and factions within Starfleet attempt to take over a planet that has \"regenerative\" properties, it falls upon Captain Picard and the crew of the Enterprise to defend the planet's people as well as the very ideals upon which the Federation itself was founded."
20.372
"/xQCMAHeg5M9HpDIqanYbWdr4brB.jpg"
Show child attributes
Show child attributes
[
{
"id": 4,
"logo_path": "/gz66EfNoYPqHTYI4q9UEN4CbHRc.png",
"name": "Paramount Pictures",
"origin_country": "US"
},
{
"id": 76068,
"logo_path": null,
"name": "Digital Image Associates",
"origin_country": "US"
}
]
Show child attributes
Show child attributes
[
{
"iso_3166_1": "US",
"name": "United States of America"
}
]
"1998-12-11"
112587658
102
Show child attributes
Show child attributes
[
{
"english_name": "English",
"iso_639_1": "en",
"name": "English"
}
]
"Released"
"The battle for paradise has begun."
"Star Trek: Insurrection"
false
6.4
1218